com.streambase.liveview.client

## Enum Table.TableStatus

- java.lang.Object
- - java.lang.Enum<Table.TableStatus>
  - - com.streambase.liveview.client.Table.TableStatus

- All Implemented Interfaces:
    Serializable, Comparable<Table.TableStatus>
  Enclosing interface:
    Table

      public static enum Table.TableStatus
      extends Enum<Table.TableStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFINED`
    `DISABLED`
    `ENABLED`
    `ERROR`
    `LOADING`
    `REMOVED`
    `UNKNOWN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getReadable()`
    `static Table.TableStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Table.TableStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ENABLED

          public static final Table.TableStatus ENABLED

    - #### UNKNOWN

          public static final Table.TableStatus UNKNOWN

    - #### REMOVED

          public static final Table.TableStatus REMOVED

    - #### DISABLED

          public static final Table.TableStatus DISABLED

    - #### DEFINED

          public static final Table.TableStatus DEFINED

    - #### LOADING

          public static final Table.TableStatus LOADING

    - #### ERROR

          public static final Table.TableStatus ERROR

  - ### Method Detail

    - #### values

          public static Table.TableStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Table.TableStatus c : Table.TableStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Table.TableStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getReadable

          public String getReadable()

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.